Package org.apache.sysds.runtime.compress.estim.sample

## Enum SampleEstimatorFactory.EstimationType

- java.lang.Object
- - java.lang.Enum<SampleEstimatorFactory.EstimationType>
  - - org.apache.sysds.runtime.compress.estim.sample.SampleEstimatorFactory.EstimationType

- All Implemented Interfaces:
    `Serializable`, `Comparable<SampleEstimatorFactory.EstimationType>`
  Enclosing interface:
    SampleEstimatorFactory

      public static enum SampleEstimatorFactory.EstimationType
      extends Enum<SampleEstimatorFactory.EstimationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HassAndStokes` |
    `ShlosserEstimator` |
    `ShlosserJackknifeEstimator` |
    `SmoothedJackknifeEstimator` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SampleEstimatorFactory.EstimationType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SampleEstimatorFactory.EstimationType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HassAndStokes

          public static final SampleEstimatorFactory.EstimationType HassAndStokes

    - #### ShlosserEstimator

          public static final SampleEstimatorFactory.EstimationType ShlosserEstimator

    - #### ShlosserJackknifeEstimator

          public static final SampleEstimatorFactory.EstimationType ShlosserJackknifeEstimator

    - #### SmoothedJackknifeEstimator

          public static final SampleEstimatorFactory.EstimationType SmoothedJackknifeEstimator

  - ### Method Detail

    - #### values

          public static SampleEstimatorFactory.EstimationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SampleEstimatorFactory.EstimationType c : SampleEstimatorFactory.EstimationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SampleEstimatorFactory.EstimationType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null